#pragma once

// qt includes
#include <QObject>

class Example : public QObject
{
Q_OBJECT

    Q_PROPERTY(QString path READ getPath WRITE setPath NOTIFY textChanged)

public: /////// functions //////////////////////////////////////
    const QString& getPath() const;
    void setPath(const QString& path);

signals:
    void textChanged(const QString&);

private: ////// members ////////////////////////////////////////
    QString m_path;
};
